package com.knauf.ejb.kuchenzutat;
import javax.ejb.CreateException;
/**
 * Local Home interface for Enterprise Bean: Kuchen
 */
public interface KuchenLocalHome extends javax.ejb.EJBLocalHome {
  /**
   * Finds an instance using a key for Entity Bean: Kuchen
   */
  public com.knauf.ejb.kuchenzutat.KuchenLocal findByPrimaryKey(java.lang.Integer primaryKey)
    throws javax.ejb.FinderException;
	public java.util.Collection findAll() throws javax.ejb.FinderException;
  /**Erzeugen eines Kuchen-Objekts, Name ist noch nicht gegeben. Der Key wird automatisch erzeugt.
   * @return Die ID des Kuchens.
   * @exception CreateException Fehler beim Erzeugen.
   */
  public com.knauf.ejb.kuchenzutat.KuchenLocal create() throws CreateException;
  //////////////////////////////////////////////////////////////////////////////////
  //                          Weitere Methoden                                    //
  //////////////////////////////////////////////////////////////////////////////////

  /**Erzeugen eines Kuchen-Objekts, wobei der Name angegeben wird. Der Key wird automatisch erzeugt.
   * @param str_Name Der Name des Kuchens.
   * @return Die ID des Kuchens.
   * @exception CreateException Fehler beim Erzeugen.
   */
  public com.knauf.ejb.kuchenzutat.KuchenLocal createByName(String str_Name) throws CreateException;
  /**Von auen verwendbare Methode aus dem Home-Interface: Ermitteln der nchsten verfgbaren
   * Kuchen-ID.
   * @return Die neue Kuchen-ID, 1 grer als die maximal vorhandene ID. Wenn es keine gibt,
   * wird "1" zurckgeliefert.
   */
  public java.lang.Integer getNextId();
}
