package com.knauf.ejb.kuchenzutat;

import javax.ejb.CreateException;

/**
 * Local Home interface for Enterprise Bean: Zutat
 */
public interface ZutatLocalHome extends javax.ejb.EJBLocalHome
{
  /**
   * Finds an instance using a key for Entity Bean: Zutat
   */
  public com.knauf.ejb.kuchenzutat.ZutatLocal findByPrimaryKey(java.lang.Integer primaryKey)
      throws javax.ejb.FinderException;

  public java.util.Collection findAll() throws javax.ejb.FinderException;

  /**
   * Von auen verwendbare Methode aus dem Home-Interface: Ermitteln der
   * nchsten verfgbaren Zutat-ID.
   * 
   * @return Die neue Zutat-ID, 1 grer als die maximal vorhandene ID. WEnn es
   *         keine gibt, wird "1" zurckgeliefert.
   */
  public java.lang.Integer getNextId();

  //////////////////////////////////////////////////////////////////////////////////
  //                          Weitere Methoden //
  //////////////////////////////////////////////////////////////////////////////////

  /**
   * Erzeugen eines Zutat-Objekts, wobei Name und Menge angegeben wird. Der Key
   * wird in der MEthode erzeugt.
   * 
   * @param str_Name
   *          Der Name der Zutat
   * @param str_Menge
   *          Die Menge der Zutat
   * @return Immer NULL.
   * @exception CreateException
   *              Fehler beim Erzeugen.
   */
  public com.knauf.ejb.kuchenzutat.ZutatLocal createByNameMenge(String str_Name, String str_Menge)
      throws CreateException;

  /**
   * Erzeugen eines Zutat-Objekts, Name und Menge sind noch nicht gegeben. Der
   * Primary Key wird in der Methode erzeugt.
   * 
   * @return Die ID
   * @exception CreateException
   *              Fehler beim Erzeugen.
   */
  public com.knauf.ejb.kuchenzutat.ZutatLocal create() throws CreateException;
}
