<%@ page import="javax.naming.Context"%>
<%@ page import="javax.naming.InitialContext"%>
<%@ page import="com.knauf.ejb.kuchenzutat.*"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.Iterator"%>
<HTML>
<HEAD>
<TITLE>
Kuchenzutat bearbeiten
</TITLE>
</HEAD>
<BODY>
<H1>Kuchenzutat bearbeiten</H1>

<%
//Holen des Home-Interfaces:
InitialContext initialContext = new InitialContext();
Object homeref = initialContext.lookup ("java:comp/env/ejb/Kuchen");

KuchenLocalHome kuchenHome = (KuchenLocalHome) homeref;
homeref = initialContext.lookup ("java:comp/env/ejb/Zutat");
ZutatLocalHome zutatHome = (ZutatLocalHome) homeref;

//Es wird auf jeden Fall ein Kuchen bearbeitet.
String strID =  request.getParameter("kuchenid");
KuchenLocal kuchenBearbeiten = kuchenHome.findByPrimaryKey( Integer.valueOf(strID) );

//Je nach Request unterschiedliche Aktionen.

String strSubmitType = request.getParameter("submit");
if ("NeuZutat".equals (strSubmitType) == true)
{
  //Neuen Kuchen erzeugen:
%>
<FORM method="post">
Zutat-Bezeichnung: <input type="text" name="zutatName"> <br>
Menge: <input type="text" name="menge"> <br>
<!--Die Kuchen-ID als Hidden Field mitfhren -->
<input type="hidden" name="kuchenid" value="<%=kuchenBearbeiten.getPrimaryKey()%>">
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="NeuZutatOK">
</FORM>
<%
}
else if ("NeuZutatOK".equals (strSubmitType) == true)
{
  //Es wurde im "Neu"-Formular auf "OK" geklickt: Anlegen der neuen Zutat:
  ZutatLocal zutatNeu = zutatHome.createByNameMenge( request.getParameter("zutatName"), request.getParameter("menge") );
  kuchenBearbeiten.addZutat( zutatNeu );

  //Zurck zum Kuchen-Bearbeiten-Fenster.
  //Die Kuchen-ID, die dieses Fenster bentigt, steckt ja noch im Request.
  request.getRequestDispatcher ("KuchenZutaten.jsp").forward(request, response);
}
else if ("BearbeitenZutat".equals (strSubmitType) == true)
{
  //Zutat bearbeiten. Diese holen.
  String strZutatID = request.getParameter("zutatid");
  //In Integer umwandeln:
  Integer intZutatID = Integer.valueOf(strZutatID);
  ZutatLocal zutatBearbeiten = zutatHome.findByPrimaryKey( intZutatID );
%>
<FORM method="post">
Sie bearbeiten den Kuchen <b><%=zutatBearbeiten.getKuchen().getName()%></b> <br>
Zutat-Bezeichnung: <input type="text" name="zutatName" value="<%=zutatBearbeiten.getZutatName()%>"> <br>
Menge: <input type="text" name="menge" value="<%=zutatBearbeiten.getMenge()%>"> <br>
<!--Die Kuchen-ID als Hidden Field mitfhren, dito fr Zutatid. -->
<input type="hidden" name="kuchenid" value="<%=kuchenBearbeiten.getPrimaryKey()%>">
<input type="hidden" name="zutatid" value="<%=zutatBearbeiten.getPrimaryKey()%>">
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="BearbeitenZutatOK">
</FORM>
<%
}
else if ("BearbeitenZutatOK".equals (strSubmitType) == true)
{
  //Es wurde im "Bearbeiten"-Formular auf "OK" geklickt: Update der Felder.
  String strZutatID = request.getParameter("zutatid");
  //In Integer umwandeln:
  Integer intZutatID = Integer.valueOf(strZutatID);
  ZutatLocal zutatBearbeiten = zutatHome.findByPrimaryKey( intZutatID );
  zutatBearbeiten.setZutatName( request.getParameter("zutatName") );
  zutatBearbeiten.setMenge( request.getParameter("menge") );

  //Zurck zum Kuchen-Bearbeiten-Fenster.
  //Die Kuchen-ID, die dieses Fenster bentigt, steckt ja noch im Request.
  request.getRequestDispatcher ("KuchenZutaten.jsp").forward(request, response);
}
else if ("LoeschenZutat".equals (strSubmitType) == true)
{
  //Klick auf "Lschen": Holen der Zutat, dann lschen.
  String strZutatID = request.getParameter("zutatid");
  //In Integer umwandeln:
  Integer intZutatID = Integer.valueOf(strZutatID);
  ZutatLocal zutatLoeschen = zutatHome.findByPrimaryKey( intZutatID );

  zutatLoeschen.remove();

  //Request wieder an bersichtsseite leiten.
  request.getRequestDispatcher ("KuchenZutaten.jsp").forward(request, response);
}
%>
</BODY>
</HTML>
