package com.knauf.ejb.kuchenzutat;
import java.util.ArrayList;
import com.knauf.ejb.kuchenzutat.ZutatLocal;
/**
 * Local interface for Enterprise Bean: Kuchen
 */
public interface KuchenLocal extends javax.ejb.EJBLocalObject {
  /**
   * Get accessor for persistent attribute: name
   */
  public java.lang.String getName();
  /**
   * Set accessor for persistent attribute: name
   */
  public void setName(java.lang.String newName);
  /**
   * This method was generated for supporting the relationship role named zutaten.
   * It will be deleted/edited when the relationship is deleted/edited.
   */
  public java.util.Collection getZutaten();
  /**
   * This method was generated for supporting the relationship role named zutaten.
   * It will be deleted/edited when the relationship is deleted/edited.
   */
  public void setZutaten(java.util.Collection aZutaten);
  /**Abrufen der Zutatenliste.
   * NUR hierber darf ein Client an die Zutaten kommen. "getZutaten" ist nur fr den Container ?
   * @return Eine Liste aller Zutaten.
   */
  public ArrayList getZutatenListe();
  /**Hinzufgen einer Zutat zu den Zutaten dieses Kuchens (die einzige Business-Methode).
   * @param zutat Die zuzufgende Zutat.
   */
  public void addZutat(ZutatLocal zutat);
}
